/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.vutbr.feec.utko.fojtoval.krypto.funkce;

/**
 * Faktorizace cisel pomoci rekurzivniho vypoctu.
 * @author fojtoval
 */
public class FactorizeRec {

    /**
     *
     */
    public static String prvocisla = "";
    
    /**
     * Vypocet - faktorizace zadaneho cisla number.
     * @param first pomocna promenna
     * @param number vstupni paarmetr
     */
    public static void facRec(boolean first, int number){

        for(int i = 2; i <= Math.sqrt(number); i++){
            if(number % i == 0){
                facRec(first, i);
                facRec(false, number / i);
                return;
            }
        }

        if(!first) {
            prvocisla += " * ";
        }

        prvocisla += number;
    }

}
